Loading...
Searching...
No Matches
casacore::COWPtr< T >::Deleter Class Reference

Helper class to make deletion of object optional. More...

## Public Member Functions

| Deleter (Bool deleteIt)
void | operator() (T *data) const

## Private Attributes

Bool | deleteIt_p

## Detailed Description

template<class T>
class casacore::COWPtr< T >::Deleter

Helper class to make deletion of object optional.

Definition at line 186 of file COWPtr.h.

## Constructor & Destructor Documentation

## Deleter()

template<class T>

casacore::COWPtr< T >::Deleter::Deleter | ( | Bool | deleteIt | ) |

inline

Definition at line 188 of file COWPtr.h.

References deleteIt_p.

## Member Function Documentation

## operator()()

template<class T>

void casacore::COWPtr< T >::Deleter::operator() | ( | T * | data | ) | const

inline

Definition at line 190 of file COWPtr.h.

References deleteIt_p.

## Member Data Documentation

## deleteIt_p

template<class T>

Bool casacore::COWPtr< T >::Deleter::deleteIt_p

private

Definition at line 193 of file COWPtr.h.

Referenced by Deleter(), and operator()().

The documentation for this class was generated from the following file:

- casa/Utilities/COWPtr.h